[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeViewStates

TTreeViewStates - set of TTreeViewState

## Declaration

Source position: comctrls.pp line 2347

`type TTreeViewStates = set of (`
`tvsScrollbarChanged,` |  |
`tvsMaxRightNeedsUpdate,` |  |
`tvsTopsNeedsUpdate,` |  |
`tvsMaxLvlNeedsUpdate,` |  |
`tvsTopItemNeedsUpdate,` |  |
`tvsBottomItemNeedsUpdate,` |  |
`tvsCanvasChanged,` |  |
`tvsDragged,` |  |
`tvsIsEditing,` |  |
`tvsStateChanging,` |  |
`tvsManualNotify,` |  |
`tvsUpdating,` |  |
`tvsPainting,` |  |
`tvsDblClicked,` |  |
`tvsTripleClicked,` |  |
`tvsQuadClicked,` |  |
`tvsSelectionChanged,` |  |
`tvsEditOnMouseUp`
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .